Bric::Util::AuthInternal(3)

NAME
Bric::Util::AuthInternal - Default, internal Bricolage authentication engine

SYNOPSIS
In bricolage.conf

  AUTH_ENGINES = Internal

DESCRIPTION
This module provides an interface for the default method of authentication in Bricolage. If one of the authentication engines assigned to the "AUTH_ENGINES" bricolage.conf directive is "Internal", then this module will be loaded by the user class and used for authentication and password changes. See Bric::Admin/"Authentication Configuration" for more in-depth information on authentication engines and configuring Bricolage to use an LDAP server for atuhentication.

This module is used internally by Bric::Biz::Person::User; it should not be used directly.

INTERFACE

  Class Methods
authenticate

  Bric::Util::AuthInternal->authenticate($user, $password);

Pass a user object and a password to this method to authenticate the user with the password. Returns true if the password validates, and false if it does not.

set_password

  Bric::Util::AuthInternal->set_password($user, $password);

Sets the password for the user object to the given password.

AUTHOR
David Wheeler <david@kineticode.com>

SEE ALSO

Bric::Admin/"Authentication Configuration"
    Provides a description of the Bricolage authentication system and details on how to configure it.

Bric::Util::AuthLDAP
    Provides LDAP-based authentication for Bricolage.

Bric::Biz::Person::User
    The user class calls out to this module to authenticate users and change passwords.

Bric::Security
    Detailed discussion of Bricolage security, including authentication.

COPYRIGHT AND LICENSE
Copyright (c) 2005 Kineticode, Inc. See Bric::License for complete license terms and conditions.